Bug 1250213 - Regression: Touchpad not recognized on boot since 4.1 kernel [NEEDINFO]
Regression: Touchpad not recognized on boot since 4.1 kernel
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
24
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 14:15 EDT by Piotr Popieluch
Modified: 2017-04-28 13:12 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:12:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-08-04 14:15:20 EDT
Description of problem:
When booting up the system I cannot control the mouse cursor through the touchpad. This does not happen al the time but about 9 out of 10 boots. I can get the touchpad working again with:
# rmmod i2c_hid
# modprobe ic2_hid

On some boots the touchpad can only control the pointer horizontally, one time even I could only move the pointer to the right.

I have experienced this behavior before with older kernels, but then it happened once in about >20 boots, since 4.1 it happens 9 out of 10 boots. 

When freshly booted the touchpad does not show in xinput list, after reloading i2c_hid it does appear as it used to:
↳ DLL060A:00 06CB:2734        id=13	[slave  pointer  (2)]


Version-Release number of selected component (if applicable):
kernel-4.1.3-200.fc22.x86_64

Laptop is an Dell XPS 13 (9333)



How reproducible:
boot system

Steps to Reproduce:
1. boot system 
2. use touchpad
3.

Actual results:
cursor not moving


Expected results:
cursor moving


Additional info:
I've also noticed that the laptop does not go to sleep when closing the lid. Don't know if this is related but thought that maybe the lid button is on i2c too.
Comment 1 Justin M. Forbes 2015-10-20 15:19:25 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 22 kernel bugs.

Fedora 22 has now been rebased to 4.2.3-200.fc22.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 23, and are still experiencing this issue, please change the version to Fedora 23.

If you experience different issues, please open a new bug report for those.
Comment 2 Piotr Popieluch 2015-10-21 02:50:41 EDT
The touchpad gets recognized correctly on 4.2.3-200.fc22.x86_64 on boot.
Comment 3 Piotr Popieluch 2015-11-02 04:48:50 EST
This occasionally still happens on boot. reopening bug.

Now running 4.2.3-200.fc22.x86_64
Comment 4 Piotr Popieluch 2015-11-02 12:48:02 EST
Extra info, dmesg log:

[   23.499855] i2c_hid i2c-DLL060A:00: failed to set a report to device.
[   23.499863] hid-rmi 0018:06CB:2734.0002: failed to write hid report (-121)
[   23.499866] hid-rmi 0018:06CB:2734.0002: rmi_set_page: set page failed: -121.
[   23.499869] hid-rmi 0018:06CB:2734.0002: failed to set page select to 0.
[   23.499957] input: DLL060A:00 06CB:2734 as /devices/pci0000:00/INT33C3:00/i2c-8/i2c-DLL060A:00/0018:06CB:2734.0002/input/input1085
[   23.500236] hid-rmi 0018:06CB:2734.0002: input,hidraw1: <UNKNOWN> HID v1.00 Pointer [DLL060A:00 06CB:2734] on 
[   23.500240] hid-rmi 0018:06CB:2734.0002: Device failed to be properly configured
[   23.503392] i2c_hid i2c-DLL060A:00: failed to set a report to device.
[   23.503400] hid-rmi 0018:06CB:2734.0002: unable to set rmi mode to 1 (-121)
Comment 5 Piotr Popieluch 2015-11-14 05:47:32 EST
Updated to f23, issue still exists.
Comment 6 Piotr Popieluch 2016-03-04 11:38:46 EST
4.4 kernel still affected, dmesg log differs a bit:


[   24.877618] i2c_hid i2c-DLL060A:00: failed to set a report to device.
[   24.877685] hid-rmi 0018:06CB:2734.0002: failed to write hid report (-121)
[   24.877746] hid-rmi 0018:06CB:2734.0002: failed to write request output report (-121)
[   24.879830] hid-rmi 0018:06CB:2734.0002: can not read f01 ctrl registers
[   24.881898] hid-rmi 0018:06CB:2734.0002: Error while initializing F01 (-121).
[   24.889771] hid-rmi 0018:06CB:2734.0002: hidraw1: I2C HID v1.00 Pointer [DLL060A:00 06CB:2734] on i2c-DLL060A:00
[   24.889777] hid-rmi 0018:06CB:2734.0002: Device failed to be properly configured
Comment 7 Laura Abbott 2016-09-23 15:22:36 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 8 Piotr Popieluch 2016-09-25 16:40:26 EDT
still present on f24 and kernel 4.7
Comment 9 Justin M. Forbes 2017-04-11 10:40:43 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 10 Justin M. Forbes 2017-04-28 13:12:08 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.